Bug 244117 - service autofs start when the service is running does not return success
service autofs start when the service is running does not return success
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Ian Kent
Brock Organ
:
Depends On: 487656
Blocks: 527376
  Show dependency treegraph
 
Reported: 2007-06-13 17:47 EDT by Jeffrey Moyer
Modified: 2009-10-06 03:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* previously, automount did not return its status to its parent while it waited for the autofs daemon to complete its startup. As a result, the init script did not always report success when the service started sucessfully. Automount now returns its status and accurately reports when the service has started.
Story Points: ---
Clone Of:
: 527376 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2007-06-13 17:47:19 EDT
Description of problem:
See the LSB standard for init script behaviour.  If /etc/init.d/autofs start is
issued, and the service is already running, the init script should return
success.  This is another regression from version 4.

Version-Release number of selected component (if applicable):
5.0.1-rc2.42
Comment 1 Ian Kent 2008-01-24 05:25:39 EST
Sorry, didn't have time to get this into RHEL-5.2.
Comment 2 RHEL Product and Program Management 2008-06-02 16:36:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Ian Kent 2009-03-05 01:00:12 EST
(In reply to comment #0)
> Description of problem:
> See the LSB standard for init script behaviour.  If /etc/init.d/autofs start is
> issued, and the service is already running, the init script should return
> success.  This is another regression from version 4.

A quick check shows that the init script now returns success
when automount(8) is already running but this is more by
chance that design.

Looking at this I see we're not returning the status to the
parent when automount(8) is waiting for the daemon to finish
its startup.

I'll fix this.
Comment 9 Ian Kent 2009-05-21 02:15:34 EDT
This issue has been fixed in the latest autofs package
autofs-5.0.1-0.rc2.125.
Comment 13 Ruediger Landmann 2009-08-30 23:03:28 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* previously, automount did not return its status to its parent while it waited for the autofs daemon to complete its startup. As a result, the init script did not always report success when the service started sucessfully. Automount now returns its status and accurately reports when the service has started.
Comment 14 errata-xmlrpc 2009-09-02 07:59:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1397.html

Note You need to log in before you can comment on or make changes to this bug.